This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 569392 - Wrong directory ownership
Wrong directory ownership
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: man-pages-de (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 559592 878967
  Show dependency treegraph
 
Reported: 2010-03-01 09:15 EST by Ondrej Vasik
Modified: 2013-08-03 20:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: man-pages-de-0.5-10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-27 21:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondrej Vasik 2010-03-01 09:15:21 EST
Based on the check done on F-12 system, your package owns directories owned by filesystem. 
This is not allowed by Fedora policies. 

See http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership 
for details.

(Sub)package man-pages-de:
/usr/share/man/de/man8
/usr/share/man/de/man3
/usr/share/man/de/man2
/usr/share/man/de/man4
/usr/share/man/de/mann
/usr/share/man/de/man9
/usr/share/man/de/man5
/usr/share/man/de/man7
/usr/share/man/de/man6
/usr/share/man/de
/usr/share/man/de/man1

This is autogenerated bugzilla, I'm sorry if the problem is already fixed or reported. Additionally I apologize if that directory ownership was requested earlier by some bugzilla (some directories were probably added into filesystem package later, so your package should no longer own that directory).
Comment 1 Ondrej Vasik 2010-03-01 15:21:37 EST
Still exists with man-pages-de-0:0.5-3.fc12.noarch .
Comment 2 Bug Zapper 2010-07-30 06:56:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ondrej Vasik 2011-08-25 05:48:46 EDT
Still present in rawhide...
Comment 4 Fedora Update System 2012-11-21 13:34:51 EST
man-pages-de-0.5-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/man-pages-de-0.5-8.fc18
Comment 5 Fedora Update System 2012-11-23 03:09:51 EST
man-pages-de-0.5-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jon Ciesla 2012-12-06 09:13:52 EST
Please fix in rawhide as well.
Comment 7 Jaroslav Reznik 2012-12-19 09:09:55 EST
man-pages-de-0:0.5-8.fc18.noarch still owns /usr/share/man/de, seems it does not affect https://bugzilla.redhat.com/show_bug.cgi?id=878967 any more as the rest is not owned now, but still should be fixed (as an update, not a blocker). Reopening.

Result from the script:
man-pages-de-0:0.5-8.fc18.noarch : /usr/share/man/de
Comment 8 Fedora End Of Life 2013-04-03 16:09:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Steve Tyler 2013-07-24 05:45:51 EDT
Confirmed with F18 and F19:

$ rpm -qf /usr/share/man/de
filesystem-3.2-13.fc19.x86_64
man-pages-de-0.5-8.fc19.noarch
Comment 10 Steve Tyler 2013-07-25 00:58:35 EDT
The last substantive change to the man-pages-de spec file was this commit dated 2010-08-05:

- delete man pages conflicting with man-db (#583731)
http://pkgs.fedoraproject.org/cgit/man-pages-de.git/commit/man-pages-de.spec?id=07219add5751d03ea3101eed04b6ef218bcf066a

man-pages-de spec file commit log in git is here:
http://pkgs.fedoraproject.org/cgit/man-pages-de.git/log/man-pages-de.spec
Comment 11 Steve Tyler 2013-07-25 01:57:42 EDT
Adel: Could you take a look at Bug 569392?

man-pages-de owns /usr/share/man/de in F18 and F19, and the previous F18 changes do not appear to be in Master.

$ rpm -qf /usr/share/man/de
filesystem-3.2-13.fc19.x86_64
man-pages-de-0.5-8.fc19.noarch

This commit, dated 2012-11-21, is only in the F18 branch:

Fix dir ownership
http://pkgs.fedoraproject.org/cgit/man-pages-de.git/commit/?h=f18&id=c9227a8514c8440db35034dccc54b8fc0be89a75
Comment 13 Fedora Update System 2013-07-25 08:46:29 EDT
man-pages-de-0.5-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/man-pages-de-0.5-9.fc19
Comment 14 Steve Tyler 2013-07-25 11:37:02 EDT
(In reply to Fedora Update System from comment #13)
> man-pages-de-0.5-9.fc19 has been submitted as an update for Fedora 19.
> https://admin.fedoraproject.org/updates/man-pages-de-0.5-9.fc19

Thanks for the update. /usr/share/man/de is still owned by man-pages-de:

$ rpm -qf /usr/share/man/de
filesystem-3.2-13.fc19.x86_64
man-pages-de-0.5-9.fc19.noarch
Comment 15 Fedora Update System 2013-07-25 15:24:49 EDT
man-pages-de-0.5-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/man-pages-de-0.5-10.fc19
Comment 16 Fedora Update System 2013-07-25 15:25:32 EDT
man-pages-de-0.5-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/man-pages-de-0.5-9.fc18
Comment 17 Steve Tyler 2013-07-25 16:28:44 EDT
Thanks for the F18 and F19 updates. I gave both +1 karma.[1]
It might be a good idea to obsolete man-pages-de-0.5-9.fc19.

Jaroslav: Could you run your script[2] on the latest updates?
https://admin.fedoraproject.org/updates/man-pages-de

[1] Tested with:
$ rpm -qf /usr/share/man/de

[2] Comment 7.
Comment 18 Fedora Update System 2013-07-25 20:35:30 EDT
Package man-pages-de-0.5-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-pages-de-0.5-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13645/man-pages-de-0.5-9.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-07-27 21:15:18 EDT
man-pages-de-0.5-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Steve Tyler 2013-07-27 23:05:38 EDT
For the record, here is a comprehensive test of man page ownership:

$ rpm -qf `rpm -ql man-pages-de` | sort -u
filesystem-3.2-13.fc19.x86_64
man-pages-de-0.5-8.fc19.noarch

$ sudo yum update man-pages-de --enablerepo=updates-testing -y
...
Updated:
  man-pages-de.noarch 0:0.5-10.fc19
...

$ rpm -qf `rpm -ql man-pages-de` | sort -u
man-pages-de-0.5-10.fc19.noarch
Comment 21 Steve Tyler 2013-07-27 23:26:30 EDT
Likewise for F18:

$ rpm -qf `rpm -ql man-pages-de` | sort -u
man-pages-de-0.5-9.fc18.noarch

Thanks, Adel.
Comment 22 Fedora Update System 2013-08-03 20:01:00 EDT
man-pages-de-0.5-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.